On Mon, 28 Mar 2005, David Plans Casal wrote:
> I replied to your email on the ruby-lang list, but perhaps you missed it?

I've had a major hard disk crash yesterday, but I also have my regular 
delays... too busy.

> waldorf:~/Desktop/gridflowBinary/gridflow dc$ make test
> rm -f core
> (ruby       -w base/test.rb math) || ([ -f core ] && gdb `which ruby` core)
> objc: failed objc_getClass(NSObject) for GFView->isa->isa
> objc: please link appropriate classes in your program
> The install seems to have gone ok, but I get the same message from IRB if I 
> try "require 'gridflow' "...
> Any idea what I might be doing wrong?

You are on MacOSX, you have Quartz support enabled, and then something 
went wrong, and I don't know what it is.

Btw, even though i coded gridflow/format/quartz.m, i don't really know 
what I'm doing there. I asked someone else to fix my bugs. I'm not a 
MacOSX programmer and basically sticking to Linux for the foreseeable 
future. I expect other programmers to take care of porting to other OSes.

Your options are either to ask James Tittle to help you, or do ./configure 
--no-quartz and instead use the X11 part (which anyway is more powerful)

Come to the #dataflow channel on FreeNode, which is the same network where 
#ruby-lang is.

    .-----------------------------------------------------------------.
   /  The Diagram is the Program (TM) ,--------------------------------}
  {----------------------------------"     http://artengine.ca/matju  /
   `-----------------------------------------------------------------'